package model

type CentralKitchenForSchoolWithSpec struct {
	Id                           int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId                 int    `json:"enterprise_id" xorm:"not null comment('单位id') INT(11)"`
	IsOpenBreakfast              int    `json:"is_open_breakfast" xorm:"not null default 0 comment('是否开启早餐(1:开启 0:关闭)') TINYINT(1)"`
	IsOpenLunch                  int    `json:"is_open_lunch" xorm:"default 0 comment('是否开启午餐(1:开启 0:关闭)') TINYINT(1)"`
	IsOpenDinner                 int    `json:"is_open_dinner" xorm:"default 0 comment('是否开启晚餐(1:开启 0:关闭)') TINYINT(1)"`
	IsOpenBreakfastForTeacher    int    `json:"is_open_breakfast_for_teacher" xorm:"not null default 0 comment('是否开启早餐(1:开启 0:关闭)-教师') TINYINT(1)"`
	IsOpenLunchForTeacher        int    `json:"is_open_lunch_for_teacher" xorm:"default 0 comment('是否开启午餐(1:开启 0:关闭)-教师') TINYINT(1)"`
	IsOpenDinnerForTeacher       int    `json:"is_open_dinner_for_teacher" xorm:"default 0 comment('是否开启晚餐(1:开启 0:关闭)-教师') TINYINT(1)"`
	BreakfastUnitPrice           string `json:"breakfast_unit_price" xorm:"not null default 0.00 comment('早餐-单价') DECIMAL(4,2)"`
	LunchUnitPrice               string `json:"lunch_unit_price" xorm:"not null default 0.00 comment('午餐-单价') DECIMAL(4,2)"`
	DinnerUnitPrice              string `json:"dinner_unit_price" xorm:"not null default 0.00 comment('晚餐-单价') DECIMAL(4,2)"`
	BreakfastUnitPriceForTeacher string `json:"breakfast_unit_price_for_teacher" xorm:"not null default 0.00 comment('教师-早餐-单价') DECIMAL(4,2)"`
	LunchUnitPriceForTeacher     string `json:"lunch_unit_price_for_teacher" xorm:"not null default 0.00 comment('教师-午餐-单价') DECIMAL(4,2)"`
	DinnerUnitPriceForTeacher    string `json:"dinner_unit_price_for_teacher" xorm:"not null default 0.00 comment('教师-晚餐-单价') DECIMAL(4,2)"`
	BreakfastTeacherNotice       string `json:"breakfast_teacher_notice" xorm:"not null default 0.00 comment('教师早餐说明') DECIMAL(4,2)"`
	LunchTeacherNotice           string `json:"lunch_teacher_notice" xorm:"not null default 0.00 comment('教师午餐说明') DECIMAL(4,2)"`
	DinnerTeacherNotice          string `json:"dinner_teacher_notice" xorm:"not null default 0.00 comment('教师晚餐说明') DECIMAL(4,2)"`
	CreateAt                     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
